Summary: A chrooted tree for the BIND nameserver
Name: bind-chroot
Version: 9.2.1
Release: 1
License: GPL, Artistic
Group: System Environment/Daemons
Source: bind-chroot-%{version}.tar.gz
Url: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/bind-chroot
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: fileutils tar
Requires(post): textutils, fileutils, grep
Requires: bind >= 9.2.1
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
Prefix: /var/named
Obsoletes: caching-nameserver
Buildarch: noarch

%description
This package contains a tree of files which can be used as a
chroot(2) jail for the named(8) program from the BIND package.

Note that unlike previous versions of bind-chroot, this version
contains only the chrooted tree and requires the original BIND RPM.

%prep
%setup 

%build

%install

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{prefix}
tar cf - . | ( cd ${RPM_BUILD_ROOT}/%{prefix} && tar xvf - )

%files
%defattr(-,root,root)
%attr(775,root,named) %prefix/var/run/named
%attr(775,root,named) %prefix/var/tmp
%attr(775,root,named) %prefix/var/named/slave
%attr(640,root,named) %config %verify(user group mode) %prefix/dev/random
%attr(640,root,named) %config %verify(user group mode) %prefix/etc/rndc.key
%prefix

%post
if test -r /etc/sysconfig/named && grep -q ^ROOTDIR= /etc/sysconfig/named
then :
else echo ROOTDIR="%{prefix}" >>/etc/sysconfig/named
fi
rm -f "%{prefix}/dev/random"
# We deliberately create a /dev/urandom instead of /dev/random to protect
# the not-so-trusted named(8) binary to suck all the randomness from the RNG.
mknod "%{prefix}/dev/random" c 1 9
chmod 640 "%{prefix}/dev/random"
chown root.named "%{prefix}/dev/random"
if test -r /etc/rndc.key
then cp /etc/rndc.key "%{prefix}/etc/rndc.key"
fi
if /etc/init.d/named condrestart
then :
fi

%changelog
* Fri Jun  7 2002 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- new build - this time as a supplementary package to the original
  BIND instead of repackaging the BIND itself.

